require_relative 'lib/array_processor'


processor = ArrayProcessor.new([1, 2, 3, 4, 5, 6, 7, 8, 9])

# chunk
puts "Chunk example:"
p processor.chunk { |x| x.even? }

# include?
puts "Include example (5): #{processor.include?(5)}"
puts "Include example (10): #{processor.include?(10)}"

# reduce
puts "Reduce example (sum): #{processor.reduce(0) { |acc, x| acc + x }}"

# member?
puts "Member example (5): #{processor.member?(5)}"
puts "Member example (10): #{processor.member?(10)}"

# filter
puts "Filter example (odd numbers):"
p processor.filter { |x| x.odd? }
